[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[EP-tech] Writing a Bazaar plugin



I'm trying to convert an EPrints 3.2 extension 
(https://github.com/edina/RJ_Broker_Importer_3.2) to an EPrints 3.3 
Bazaar Plugin - as an extension of the SWORD 1.3 plugin.

I know the 3.2 layout works in 3.3.5 & 3.3.12 (with one caveat, which 
could be pushed into the GitHub code.)

I'm now trying to convert this into a Bazaar package:
The config file is ~~/eprints/lib/epm/RJ_Broker/cfg/cfg.d/zz_rj_broker.pl
The package files are: 
~~/eprints/lib/plugins/EPrints/Plugin/Sword/Import/RJ_Broker.pm and 
~~/eprints/lib/plugins/EPrints/Plugin/Sword/Unpack/Sub_Zip.pm

I've enabled the plugins in the config file:
# Ensure the plugin is enabled
$c->{plugins}->{"Sword::Import::RJ_Broker"}->{params}->{disable} = 0;
$c->{plugins}->{"Sword::Unpack::Sub_Zip"}->{params}->{disable} = 0;

I have installed a clean repo and added both the SWORD v1.3 package from 
the Bazaar and my .epm package.

The servicedocument responds, with my importer listed
When I post a deposit, I get the following error

[SWORD-DEPOSIT] [INTERNAL-ERROR] Failed to load the plugin 
'Sword::Import::RJ_Broker'. Make sure SWORD is properly configured.

Any suggestions?

-- 

Ian Stuart.
Developer: ORI, RJ-Broker, and OpenDepot.org
Bibliographics and Multimedia Service Delivery team,
EDINA,
The University of Edinburgh.

http://edina.ac.uk/

This email was sent via the University of Edinburgh.

The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.